NEWGRP(1)

BEZEICHNUNG
newgrp - in einer neuen Gruppe anmelden

ÜBERSICHT

newgrp [Gruppe [Befehl]]

newgrp [-c Befehl] [Gruppe]

BESCHREIBUNG

newgrp ändert die Gruppenidentifizierung des Aufrufenden, analog zu login(1). Die gleiche Person bleibt angemeldet und das aktuelle Verzeichnis wird nicht geändert, aber die Zugriffsrechte auf Dateien werden auf der Grundlage der neuen Gruppenkennung neu ermittelt.

Falls keine Gruppe angegeben ist, wird die Gruppenkennung zu der Anmelde-Gruppenkennung geändert.

Optional kann ein Befehl angegeben werden, der nach der Änderung der Gruppe anstelle der Shell des Benutzers aufgerufen wird.

OPTIONEN

-c, --command=Befehl
    übergibt den Befehl mit der Option -c an die Shell des Benutzers.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

DATEIEN

/etc/group, /etc/passwd

AUTOREN

Ursprünglich von Michael Haardt. Derzeit von betreut.

SIEHE AUCH

login(1), group(5)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl newgrp ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.